diff -ru rivendell-2.5.1/lib/rdcart_dialog.cpp rivendell-2.5.1_patched/lib/rdcart_dialog.cpp
--- rivendell-2.5.1/lib/rdcart_dialog.cpp	2012-12-03 12:54:38.000000000 -0500
+++ rivendell-2.5.1_patched/lib/rdcart_dialog.cpp	2013-05-26 11:41:11.721127631 -0400
@@ -224,7 +224,7 @@
   cart_cart_list->setColumnAlignment(6,Qt::AlignLeft);
   cart_cart_list->addColumn(tr("AGENCY"));
   cart_cart_list->setColumnAlignment(7,Qt::AlignLeft);
-  cart_cart_list->addColumn(tr("USER DEF"));
+  cart_cart_list->addColumn(tr("ALBUM"));
   cart_cart_list->setColumnAlignment(8,Qt::AlignLeft);
   cart_cart_list->addColumn(tr("START"));
   cart_cart_list->setColumnAlignment(9,Qt::AlignLeft);
@@ -719,7 +719,7 @@
   }
   if(cart_type==RDCart::All) {
     sql=QString().sprintf("select CART.NUMBER,CART.TITLE,CART.ARTIST,\
-                           CART.CLIENT,CART.AGENCY,CART.USER_DEFINED,\
+                           CART.CLIENT,CART.AGENCY,CART.ALBUM,\
                            CART.START_DATETIME,CART.END_DATETIME,CART.TYPE,\
                            CART.FORCED_LENGTH,CART.GROUP_NAME,GROUPS.COLOR \
                            from CART left join GROUPS \
@@ -729,7 +729,7 @@
   }
   else {
     sql=QString().sprintf("select CART.NUMBER,CART.TITLE,CART.ARTIST,\
-                           CART.CLIENT,CART.AGENCY,CART.USER_DEFINED,\
+                           CART.CLIENT,CART.AGENCY,CART.ALBUM,\
                            CART.START_DATETIME,CART.END_DATETIME,CART.TYPE,\
                            CART.FORCED_LENGTH,CART.GROUP_NAME,GROUPS.COLOR \
                            from CART left join GROUPS \
@@ -741,6 +741,8 @@
   }
   if(cart_limit_box->isChecked()) {
     sql+=QString().sprintf(" limit %d",RD_LIMITED_CART_SEARCH_QUANTITY);
+  }else if(RD_UNLIMITED_CART_SEARCH_QUANTITY != -1){ 
+    sql+=QString().sprintf(" limit %d",RD_UNLIMITED_CART_SEARCH_QUANTITY);
   }
   q=new RDSqlQuery(sql);
   int step=0;
diff -ru rivendell-2.5.1/lib/rdcut_dialog.cpp rivendell-2.5.1_patched/lib/rdcut_dialog.cpp
--- rivendell-2.5.1/lib/rdcut_dialog.cpp	2012-10-08 20:19:26.000000000 -0400
+++ rivendell-2.5.1_patched/lib/rdcut_dialog.cpp	2013-05-26 11:41:11.737127880 -0400
@@ -503,6 +503,8 @@
   }
   if(cart_limit_box->isChecked()) {
     sql+=QString().sprintf(" limit %d",RD_LIMITED_CART_SEARCH_QUANTITY);
+  }else if(RD_UNLIMITED_CART_SEARCH_QUANTITY != -1){ 
+    sql+=QString().sprintf(" limit %d",RD_UNLIMITED_CART_SEARCH_QUANTITY);
   }
   q=new RDSqlQuery(sql);
   int step=0;
diff -ru rivendell-2.5.1/lib/rd.h rivendell-2.5.1_patched/lib/rd.h
--- rivendell-2.5.1/lib/rd.h	2013-04-29 18:03:23.000000000 -0400
+++ rivendell-2.5.1_patched/lib/rd.h	2013-05-26 11:44:43.924407649 -0400
@@ -469,6 +469,12 @@
  */
 #define RD_LIMITED_CART_SEARCH_QUANTITY 100
 
+ /*
+  * Number of Carts to Include in an 'Unlimited' Search
+  * -1 To Disable Limit
+  */
+ #define RD_UNLIMITED_CART_SEARCH_QUANTITY 1000
+
 /*
  * Default title for a new cart
  */
diff -ru rivendell-2.5.1/rdairplay/mode_display.cpp rivendell-2.5.1_patched/rdairplay/mode_display.cpp
--- rivendell-2.5.1/rdairplay/mode_display.cpp	2011-01-10 14:20:51.000000000 -0500
+++ rivendell-2.5.1_patched/rdairplay/mode_display.cpp	2013-05-26 11:41:11.773128434 -0400
@@ -103,8 +103,8 @@
   p->setPen(QColor(color1));
   p->setFont(mode_small_font);
   p->drawText((sizeHint().width()-p->fontMetrics().
-	       width(tr("Operating Mode")))/2,
-	      22,tr("Operating Mode"));
+	       width(tr("Playback Mode")))/2,
+	      22,tr("Playback Mode"));
   p->setFont(mode_large_font);
   p->drawText((sizeHint().width()-p->fontMetrics().width(tr("LiveAssist")))/2,
 	      48,tr("LiveAssist"));
@@ -117,11 +117,11 @@
   p->setPen(QColor(color1));
   p->setFont(mode_small_font);
   p->drawText((sizeHint().width()-p->fontMetrics().
-	       width(tr("Operating Mode")))/2,
-	      22,tr("Operating Mode"));
+	       width(tr("Playback Mode")))/2,
+	      22,tr("Playback Mode"));
   p->setFont(mode_large_font);
-  p->drawText((sizeHint().width()-p->fontMetrics().width(tr("Automatic")))/2,
-	      49,tr("Automatic"));
+  p->drawText((sizeHint().width()-p->fontMetrics().width(tr("Continuous")))/2,
+	      49,tr("Continuous"));
   p->end();
   delete p;
 
@@ -132,11 +132,11 @@
   p->setPen(QColor(color1));
   p->setFont(mode_small_font);
   p->drawText((sizeHint().width()-p->fontMetrics().
-	       width(tr("Operating Mode")))/2,
-	      22,tr("Operating Mode"));
+	       width(tr("Playback Mode")))/2,
+	      22,tr("Playback Mode"));
   p->setFont(mode_large_font);
-  p->drawText((sizeHint().width()-p->fontMetrics().width(tr("Manual")))/2,
-	      48,tr("Manual"));
+  p->drawText((sizeHint().width()-p->fontMetrics().width(tr("Single")))/2,
+	      48,tr("Single"));
   p->end();
   delete p;
 }
diff -ru rivendell-2.5.1/rdairplay/rdairplay.cpp rivendell-2.5.1_patched/rdairplay/rdairplay.cpp
--- rivendell-2.5.1/rdairplay/rdairplay.cpp	2013-03-22 11:11:51.000000000 -0400
+++ rivendell-2.5.1_patched/rdairplay/rdairplay.cpp	2013-05-26 11:41:11.773128434 -0400
@@ -482,6 +482,10 @@
 	  air_pie_counter,SLOT(tickCounter()));
   connect(rdripc,SIGNAL(onairFlagChanged(bool)),
 	  air_pie_counter,SLOT(setOnairFlag(bool)));
+  //WMFO:
+  connect(rdripc,SIGNAL(onairFlagChanged(bool)),
+     this,SLOT(lockAutomatic(bool)));
+  autoLock = false;
 
   //
   // Audio Meter
@@ -827,24 +831,8 @@
 
   //
   // Set Startup Mode
-  //
-  switch(rdairplay_conf->startMode()) {
-      case RDAirPlayConf::Manual:
-	SetManualMode();
-	break;
-	
-      case RDAirPlayConf::LiveAssist:
-	SetLiveAssistMode();
-	break;
-	
-      case RDAirPlayConf::Auto:
-	SetAutoMode();
-	break;
-	
-      case RDAirPlayConf::Previous:
-	SetMode(rdairplay_conf->opMode());
-	break;
-  }	
+  // WMFO style
+  SetAutoMode();
 
   //
   // Load Plugins
@@ -1561,7 +1549,7 @@
 {
   switch(air_op_mode) {
       case RDAirPlayConf::Manual:
-	SetMode(RDAirPlayConf::LiveAssist);
+	SetMode(RDAirPlayConf::Auto);
 	break;
 
       case RDAirPlayConf::LiveAssist:
@@ -2208,8 +2196,14 @@
 }
 
 
+//WMFO:
+void MainWidget::lockAutomatic(bool lockState){
+  autoLock = !lockState;
+}
+
 void MainWidget::SetManualMode()
 {
+if (! autoLock){
   air_mode_display->setMode(RDAirPlayConf::Manual);
   air_op_mode=RDAirPlayConf::Manual;
   air_pie_counter->setOpMode(RDAirPlayConf::Manual);
@@ -2222,6 +2216,7 @@
   air_post_counter->setDisabled(true);
   LogLine(RDConfig::LogInfo,"mode set to MANUAL");
 }
+}
 
 
 void MainWidget::SetAutoMode()
@@ -2242,17 +2237,7 @@
 
 void MainWidget::SetLiveAssistMode()
 {
-  air_mode_display->setMode(RDAirPlayConf::LiveAssist);
-  air_op_mode=RDAirPlayConf::LiveAssist;
-  air_pie_counter->setOpMode(RDAirPlayConf::LiveAssist);
-  rdairplay_conf->setOpMode(RDAirPlayConf::LiveAssist);
-  for(int i=0;i<RDAIRPLAY_LOG_QUANTITY;i++) {
-    air_log[i]->setMode(RDAirPlayConf::LiveAssist);
-    air_log_list[i]->setOpMode(RDAirPlayConf::LiveAssist);
-  }
-  air_button_list->setOpMode(RDAirPlayConf::LiveAssist); 
-  air_post_counter->setDisabled(true);
-  LogLine(RDConfig::LogInfo,"mode set to LIVE ASSIST");
+  LogLine(RDConfig::LogInfo,"IGNORED mode set to LIVE ASSIST");
 }
 
 
diff -ru rivendell-2.5.1/rdairplay/rdairplay.h rivendell-2.5.1_patched/rdairplay/rdairplay.h
--- rivendell-2.5.1/rdairplay/rdairplay.h	2013-03-22 11:09:45.000000000 -0400
+++ rivendell-2.5.1_patched/rdairplay/rdairplay.h	2013-05-26 11:41:11.773128434 -0400
@@ -129,6 +129,8 @@
   void keyReleaseEvent(QKeyEvent *e);
   void closeEvent(QCloseEvent *);
   void paintEvent(QPaintEvent *e);
+  //WMFO:
+  void lockAutomatic(bool lockState);
   
  private:
   void RunLocalMacros(RDMacro *rml);
@@ -217,6 +219,8 @@
   int air_stop_gpo_lines[RDAirPlayConf::LastChannel];
   RDAirPlayConf::GpioType air_channel_gpio_types[RDAirPlayConf::LastChannel];
   std::map<unsigned,QTimer *> air_channel_timers[2];
+  //WMFO:
+  bool autoLock;
 };
 
 
diff -ru rivendell-2.5.1/rdlibrary/rdlibrary.cpp rivendell-2.5.1_patched/rdlibrary/rdlibrary.cpp
--- rivendell-2.5.1/rdlibrary/rdlibrary.cpp	2013-01-07 10:35:04.000000000 -0500
+++ rivendell-2.5.1_patched/rdlibrary/rdlibrary.cpp	2013-05-26 11:41:11.629126212 -0400
@@ -963,6 +963,8 @@
   sql+=" order by CART.NUMBER";
   if(lib_showmatches_box->isChecked()) {
     sql+=QString().sprintf(" limit %d",RD_LIMITED_CART_SEARCH_QUANTITY);
+  }else if(RD_UNLIMITED_CART_SEARCH_QUANTITY != -1){ 
+    sql+=QString().sprintf(" limit %d",RD_UNLIMITED_CART_SEARCH_QUANTITY);
   }
   q=new RDSqlQuery(sql);
   int step=0;
diff -ru rivendell-2.5.1/scripts/start-rdmonitor.sh rivendell-2.5.1_patched/scripts/start-rdmonitor.sh
--- rivendell-2.5.1/scripts/start-rdmonitor.sh	2012-10-19 20:24:46.000000000 -0400
+++ rivendell-2.5.1_patched/scripts/start-rdmonitor.sh	2013-05-26 11:41:11.673126886 -0400
@@ -23,4 +23,4 @@
 ##    Boston, MA  02111-1307  USA
 ##
 
-rdmonitor &
\ No newline at end of file
+# rdmonitor &
